> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Calendar Member

> Change a calendar member's role

# Update Calendar Member

Change a calendar member's role.

## Endpoint

```
PUT /api/v1/calendars/{calendar_id}/members/{member_id}
```

## Path parameters

<ParamField path="calendar_id" type="string" required>Calendar UUID.</ParamField>
<ParamField path="member_id" type="string" required>Member UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

<ParamField header="Content-Type" type="string" required>Must be `application/json`.</ParamField>

## Request body

<ParamField body="role" type="string" required>New role. Options: `owner`, `editor`, `viewer`.</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members/member-uuid-2" \
    -H "Authorization: Bearer talq_your_environment_token_here" \
    -H "Content-Type: application/json" \
    -d '{ "role": "viewer" }'
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "member-uuid-2",
      "role": "viewer"
    }
  }
  ```
</ResponseExample>
